Subject: RE: draft-ashwood-ccamp-gmpls-constraints

From: "Don Fedyk" <[email-masked]>
Date: Thu, 11 Aug 2005 08:29:20 -0400

Hi Igor

Thanks for this text.  We will incorporate some this text into the next
version of the draft.  Hamid had asked me to involve the L1VPN list in
this activity going forward.    

Regards,
Don 

> -----Original Message-----
> From: Igor Bryskin [mailto:[email-masked]]
> Sent: Monday, August 08, 2005 3:44 PM
> 
> Don,
> 
> You can find a detailed description of the Virtual Link mode in the 
> Layer 1 VPN WG documents.
> 
> In brief, in this mode a domain is represented to the outside routing 
> domain not as a single node (as in case of the Virtual Node mode), but

> as a set of PEs interconnected by virtual (more correctly, abstract) 
> links. The Virtual Link mode has some serious advantages compared to 
> the Virtual Node mode. Here is some of them:
> 
> 1. In the Virtual Node mode there is some synchronization required 
> between
> PEs: in order for the outside routing domain to perceive the
> hidden domain as a single node all PEs need either to 
> generate exactly the same advertisings ( specifically, they 
> need to agree on the Virtual Node Router ID, learn about 
> every other PE and the links interconnecting the PE with the 
> outside routing domain, etc.) or identify the outside routing 
> domain segments interconnected exclusively by the means of 
> the hidden domain and elect for each of them a single PE that 
> would generate the Virtual Node advertisings. Neither of 
> these approaches is trivial to implement. On the contrary, 
> PEs in the Virtual Link mode advertise information into the 
> outside routing domain completely independently.
> 
> 2. In order to advertise a matrix of acceptable input-output link 
> combinations a PE must periodically solve ALL PEs -TO-ALL PEs 
> constraint based path computation problem. It is far more difficult 
> problem to solve compared to a single PE -TO-ALL PEs constraint based 
> path computation (which is as complex as a single source - single 
> destination path
> computation) required in the Virtual Link mode;
> 
> 3. The constraints used during the computation of the input-output 
> link matrix is not advertised and not available for the external path 
> computer, which diminishes the value of the matrix advertising. In 
> other words, even when the external path computer uses the matrix as a

> constraint, there is still a significant blocking probability of the 
> LSP setup using the computed path because there is no guarantee that
> the sets of the "external" and "internal" path computation 
> constraints match. There is no such problem in the Virtual 
> Link mode where the internal path computation constraints 
> could be advertised as abstract TE link attributes and hence 
> could be considered explicitly by the external path computer
> 
> 4. The matrix of input-output link combinations does not provide 
> information about the cost of a particular input-output binding across

> the hidden domain. This means that suboptimal path selection is quite 
> possible. On the contrary, each abstract TE link advertising has a TE 
> metric sub-TLV;
> 
> 5. It is not trivial to use the matrix of input-output link 
> combinations as a constraint, and some modifications of the external 
> path computation engine algorithms are required. There is no such a 
> requirement for the Virtual Link mode.
> 
> The major disadvantage of the Virtual Link mode, of course, is 
> scalability: the number of the abstract links grows proportionally to 
> the square of number of PEs. Because of that the Virtual Node mode 
> could be the only choice to hide a domain with large number of PEs.
> 
> Hope this helps.
> Igor
> 
>